Subject: Southern Garden history talk in NYC

From: [email-masked] (KurlZabar)
Date: 24 Jan 1996 18:33:57 -0500

On Tuesday, Feb. 6, Davyd Hood, landscape and architectural historian,
will slide talk, "To Gather up the Fragments that Remain: Southern Garden
Clubs and the Publication of Southern Garden History," at the Donnell
Public Library Auditorium, 20 W. 53 St., New York City (across from Museum
of Modern Art). The lecture is free and no reservations are necessary.
Sponsored by the Metropolitan Chapter of the Victorian Society in America.